weights {stats} | R Documentation

## Extract Model Weights

### Description

`weights` is a generic function which extracts fitting weights from objects returned by modeling functions.

Methods can make use of `napredict` methods to compensate for the omission of missing values. The default methods does so.

### Usage

    weights(object, ...)

### Arguments

`object` | an object for which the extraction of model weights is meaningful.
`...` | other arguments passed to methods.

### Value

Weights extracted from the object `object`: the default method looks for component `"weights"` and if not `NULL` calls `napredict` on it.

### References

Chambers, J. M. and Hastie, T. J. (1992) Statistical Models in S. Wadsworth & Brooks/Cole.

### See Also

`weights.glm`

[Package stats version 2.15.1 Index]